/*********************************************************************
Copyright 1992 by Digital Press/Digital Equipment Corporation, Elias
Israel, and Erik Fortune

Permission to use, copy, modify, distribute, and sell this software
and its documentation for any purpose is hereby granted without fee,
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in
supporting documentation.  Digital Equipment Corporation and the
authors make no representations about the suitability of this software
for any purpose.  It is provided "as is" without express or implied
warranty.

DIGITAL EQUIPMENT CORPORATION AND THE AUTHORS DISCLAIM ALL WARRANTIES
WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL DIGITAL EQUIPMENT
CORPORATION OR THE AUTHORS BE LIABLE FOR ANY SPECIAL, INDIRECT OR
CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.

This material is reproduced with permission from _The X Window System
Server: X Version 11, Release 5_, by Elias Israel and Erik Fortune.
(Copyright 1992, Digital Press, Digital Equipment Corporation, One
Burlington Woods Drive, Burlington, MA 01803)
*********************************************************************/

#ifndef XXXDEV_H
#define XXXDEV_H 1

	/*
	 * This file contains declarations for the functions and data
	 * structures supplied in this directory.   If you add functions 
	 * which are visible to other files in this directory, you should 
	 * add declarations for them here.
	 */

extern	PixmapFormatRec xxxFormats[];

#ifdef _NEED_XXX_POINTER_FUNCS
extern	miPointerScreenFuncRec xxxPointerScreenFuncs;
#endif

extern	Bool	xxxSaveScreen(/* pScreen, on */);
extern	Bool	xxxCloseScreen(/* index, pScreen */);
extern	Bool	xxxScreenInit(/* ndx, pScreen, argc, argv */);
extern	int	xxxVSStateChanged( /* pScreen, gained */ );
extern	void	xxxCleanupScreen( /* pScreen */ );

extern	void	xxxInstallColormap(/* pMap */);
extern	void	xxxUninstallColormap(/* pMap */);
extern	int	xxxListInstalledColormaps(/* pScreen, pMaps */);
extern	void	xxxStoreColors(/* pMap,nDefs,pDefs*/);

#endif /* XXXDEV_H */
