#include "X.h"
#include "Xproto.h"
#include "screenint.h"
#include "input.h"
#include "cursor.h"
#include "misc.h"
#include "scrnintstr.h"
#include "servermd.h"

#include "genDev.h"

/***====================================================================***/

void
InitOutput(screenInfo, argc, argv)
ScreenInfo	 *screenInfo;
int	  	  argc;
char		**argv;
{
int i;

    screenInfo->imageByteOrder=		IMAGE_BYTE_ORDER;
    screenInfo->bitmapScanlineUnit=	BITMAP_SCANLINE_UNIT;
    screenInfo->bitmapScanlinePad=	BITMAP_SCANLINE_PAD;
    screenInfo->bitmapBitOrder=		BITMAP_BIT_ORDER;

    screenInfo->numPixmapFormats=	0;
    for (i=0; genFormats[i].depth>0 ; i++) {
	screenInfo->numPixmapFormats++;
	screenInfo->formats[i].depth=		genFormats[i].depth;
	screenInfo->formats[i].bitsPerPixel=	genFormats[i].bitsPerPixel;
	screenInfo->formats[i].scanlinePad=	genFormats[i].scanlinePad;
    }

    AddScreen(genScreenInit, argc, argv);
    return;
}
